<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- Creates container element used to group html elements -->
		<header>
			<h1>HTML Table and Forms</h1>
		</header>

		<main>
			<section id="entities">
				<h2>HTML Entities</h2>
				<p>
					<em>
						Reserved Characters in HTML (e.g. &lt; or &gt;) or characters that can mix with HTML code.
					</em>
				</p>

				<!-- Defines an HTML Table -->
				<!-- "border" sets a visible border width -->
				<table border="1">
					<!-- Used to group table header content -->
					<thead>
						<!-- Defines a table row. This first one represents the table header. -->
						<tr>
							<!-- "colspan" defines the number of columns a table element will occupy (counterpart is "rowspan") -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

						<!-- Used to group table body content -->
						<tbody>
							<tr>
								<!-- Define a table data element -->
								<td>&lt;</td>
								<td>lt</td>
								<td>Less than</td>
							</tr>
							<tr>
								<td>&gt;</td>
								<td>gt</td>
								<td>Greater than</td>
							</tr>
							<tr>
								<td>&#8369;</td>
								<td>#8369</td>
								<td>Peso sign</td>
							</tr>
							<tr>
								<td>&amp;</td>
								<td>amp</td>
								<td>Ampersand</td>
							</tr>
							<tr>
								<td>&quot;</td>
								<td>quot</td>
								<td>Double quotation mark</td>
							</tr>
							<tr>
								<td>&apos;</td>
								<td>apos</td>
								<td>Single quotation mark</td>
							</tr>
							<tr>
								<td>&ntilde;</td>
								<td>ntilde</td>
								<td>Lower tilde</td>
							</tr>
							<tr>
								<td>&Ntilde;</td>
								<td>Ntilde</td>
								<td>Upper tilde</td>
							</tr>
							<!-- Used to group table footer content -->
							<tfoot>
								<tr>
									<th colspan="3">List of HTML Entities</th>
								</tr>
							</tfoot>
						</tbody>
				</table>
			</section>

			<section id="forms">
				<h2>HTML Forms</h2>
				<p>
					<em>Input elements make up a form.</em>
				</p>

				<!-- Create an HTML form to captuer user input -->

				<!-- "action" commonly defines where data in the form will be sent upon submission -->
				<form action="https://www.google.com">
					<!-- Label and text input type -->
					<label for="full_name">Full Name: </label> <br>
					<!-- input "type" affects allowable/visible characters in input field; "name" informs what the data in the field is -->
					<input type="text" name="full_name" id="full_name" required autocomplete> <br>

					<!-- Label and date input type -->
					<label for="birth_date">Birth Date:</label> <br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<!-- label and number input type -->
					<label for="age">Age:</label> <br>
					<input type="number" name="age" id="age" min="1" max="100" required><br>

					<!-- Create a dropdown menu -->
					<label for="gender">Gender:</label><br>
					<select name="gender" id="gender">
						<!-- Create options for the menu -->
						<option></option>
						<option value="male">Male</option>
						<option value="female">Female</option>
						<option value="other">Other</option>
					</select><br>

					<!-- Create larger text input -->
					<label for="notes">Notes:</label><br>
					<textarea name="notes" id="notes" rows="5"></textarea><br>

					<!-- Create radio buttons input field -->
					<label>New User:</label><br>

					<!-- "name" should be the same for related radio buttons -->
					<input type="radio" name="new_user" id="user-type1" value="yes"> 
					<label for="user-type1">Yes</label>

					<input type="radio" name="new_user" id="user-type2" value="no"> 
					<label for="user-type2">No</label><br>

					<!-- Create checkboxes for multiple choices -->
					<label>Roles:</label><br>

					<input type="checkbox" name="role1" id="role1" value="developer">Developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">Student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">Manager</label><br>

					<!-- Form Buttons -->
					<br>
					<button type="submit">Submit</button>
					<button type="reset">Reset</button>
				</form>
			</section>
		</main>

	</body>
</html>